<div
    #content
    *ngIf="result"
    class="popup-content"
    tabindex="-1"
    (mousewheel)="onPopupContentMouseWheel($event)"
>
    <div 
        *ngFor="let value of result.values; let i = index"
        (click)="onItemClick($event, i)"
        [ngClass]="{
            'popup-content-item': true,
            'selected': i === selectedIndex,
            'focused': i === focusedIndex
        }"
        tabindex="-1"
    >
        {{value.text()}}
    </div>
    <div
        *ngIf="!result.values.length"
        class="popup-content-empty"
    >
        Не найдено
    </div>
</div>

<div
    *ngIf="arrowStyle === 0 && result && result.count  && result.count > result.values.length"
    class="popup-no-arrowed"
    tabindex="-1"
>
    {{overflowTextFunc(result)}}
</div>
<div 
    *ngIf="!result"
    class="popup-error"
    tabindex="-1"
>
    <div class="popup-error-text">
        Что-то пошло не так. Проверьте соединение с интернетом и попробуйте еще раз
    </div>
    <div
        *ngIf="showReload"
        (click)="onReloadClick($event)"
        class="popup-error-action"
    >Обновить</div>
</div>